com.sun.grid.jgdi.management

## Class JGDISslRMIClientSocketFactory

- java.lang.Object
- - javax.rmi.ssl.SslRMIClientSocketFactory
  - - com.sun.grid.jgdi.management.JGDISslRMIClientSocketFactory

- All Implemented Interfaces:
    java.io.Serializable, java.rmi.server.RMIClientSocketFactory

      public class JGDISslRMIClientSocketFactory
      extends javax.rmi.ssl.SslRMIClientSocketFactory

  This client socket factory creates `SSLSocket`s for RMI.
  See Also:
    `SslRMIClientSocketFactory`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGDISslRMIClientSocketFactory(java.lang.String serverHostname, int serverPort, java.io.File caTop)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.Socket` | `createSocket(java.lang.String host, int port)` Creates an SSL socket.

    - ### Methods inherited from class javax.rmi.ssl.SslRMIClientSocketFactory

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JGDISslRMIClientSocketFactory

          public JGDISslRMIClientSocketFactory(java.lang.String serverHostname,
                                               int serverPort,
                                               java.io.File caTop)

  - ### Method Detail

    - #### createSocket

          public final java.net.Socket createSocket(java.lang.String host,
                                                    int port)
                                             throws java.io.IOException

      Creates an SSL socket.

      If the system property `javax.rmi.ssl.client.enabledCipherSuites` is specified, this method will call `SSLSocket.setEnabledCipherSuites(String[])` before returning the socket. The value of this system property is a string that is a comma-separated list of SSL/TLS cipher suites to enable.

      If the system property `javax.rmi.ssl.client.enabledProtocols` is specified, this method will call `SSLSocket.setEnabledProtocols(String[])` before returning the socket. The value of this system property is a string that is a comma-separated list of SSL/TLS protocol versions to enable.

      Specified by:
        `createSocket` in interface `java.rmi.server.RMIClientSocketFactory`
      Overrides:
        `createSocket` in class `javax.rmi.ssl.SslRMIClientSocketFactory`
      Parameters:
        `host` - the host
        `port` - the port
      Returns:
        the created socket
      Throws:
        `java.io.IOException` - on any io error

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.